package it.integry.integrywmsnative.core.rest.model.magazzino_automatico;

import java.util.List;

import it.integry.integrywmsnative.core.model.MtbColt;

public class MagazzinoAutomaticoPickItemsRequestDTO {

    private boolean shouldCreateUDS;
    private String defaultGestioneOfNewUDS;
    private List<MagazzinoAutomaticoPickOrderRequestDTO> ordersOfNewUDS;
    private MtbColt inputMtbColt;
    private List<MagazzinoAutomaticoPickItemRequestDTO> itemsToPick;

    public boolean isShouldCreateUDS() {
        return shouldCreateUDS;
    }

    public MagazzinoAutomaticoPickItemsRequestDTO setShouldCreateUDS(boolean shouldCreateUDS) {
        this.shouldCreateUDS = shouldCreateUDS;
        return this;
    }

    public String getDefaultGestioneOfNewUDS() {
        return defaultGestioneOfNewUDS;
    }

    public MagazzinoAutomaticoPickItemsRequestDTO setDefaultGestioneOfNewUDS(String defaultGestioneOfNewUDS) {
        this.defaultGestioneOfNewUDS = defaultGestioneOfNewUDS;
        return this;
    }

    public List<MagazzinoAutomaticoPickOrderRequestDTO> getOrdersOfNewUDS() {
        return ordersOfNewUDS;
    }

    public MagazzinoAutomaticoPickItemsRequestDTO setOrdersOfNewUDS(List<MagazzinoAutomaticoPickOrderRequestDTO> ordersOfNewUDS) {
        this.ordersOfNewUDS = ordersOfNewUDS;
        return this;
    }

    public MtbColt getInputMtbColt() {
        return inputMtbColt;
    }

    public MagazzinoAutomaticoPickItemsRequestDTO setInputMtbColt(MtbColt inputMtbColt) {
        this.inputMtbColt = inputMtbColt;
        return this;
    }

    public List<MagazzinoAutomaticoPickItemRequestDTO> getItemsToPick() {
        return itemsToPick;
    }

    public MagazzinoAutomaticoPickItemsRequestDTO setItemsToPick(List<MagazzinoAutomaticoPickItemRequestDTO> itemsToPick) {
        this.itemsToPick = itemsToPick;
        return this;
    }
}
